Package es.imim.DISGENET.internal.tables

# Class DisGeNetCyTableDisease

java.lang.Object
es.imim.DISGENET.internal.tables.DisGeNetCyTableDisease

All Implemented Interfaces:
  `DisGeNETCyTableNodeInterface`

public class DisGeNetCyTableDisease extends Object implements DisGeNETCyTableNodeInterface
Class to manage all the parameters relative to the diseases attributes of the cytoscape table.

Author:
  jsauch

## Constructor Summary

Constructors
Constructor
Description
`DisGeNetCyTableDisease()`
`DisGeNetCyTableDisease(GuiParameters params)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addEdgeColumns(org.cytoscape.model.CyTable cyTable)`
`void`
`addNodeColumns(org.cytoscape.model.CyTable disTable)`
Adds all the colums related to the diseases to the cytoscape table.
`void`
`fillEdgeColumns(org.cytoscape.model.CyNetwork cyNetwork, Map<org.cytoscape.model.CyEdge,Map<String,Object>> edgeAttributes)`
`void`
`fillNodeColumns(org.cytoscape.model.CyTable disTable, Map<String,Long> suids)`
Fills the disease related columns with the data retrived from the current search parameters.
`GuiParameters`
`getParams()`
`void`
`setParams(GuiParameters params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DisGeNetCyTableDisease

public DisGeNetCyTableDisease(GuiParameters params)

### DisGeNetCyTableDisease

public DisGeNetCyTableDisease()

## Method Details

### getParams

public GuiParameters getParams()

### setParams

public void setParams(GuiParameters params)

### addNodeColumns

public void addNodeColumns(org.cytoscape.model.CyTable disTable)
Adds all the colums related to the diseases to the cytoscape table.

Specified by:
  `addNodeColumns` in interface `DisGeNETCyTableNodeInterface`
Parameters:
  `disTable` - the table to add the columns.

### fillNodeColumns

public void fillNodeColumns(org.cytoscape.model.CyTable disTable, Map<String,Long> suids) throws DisGeNetException
Fills the disease related columns with the data retrived from the current search parameters.

Specified by:
  `fillNodeColumns` in interface `DisGeNETCyTableNodeInterface`
Parameters:
  `disTable` - the table to fill the columns.
  `suids` - the list of all the nodes with their identifiers.
Throws:
  `DisGeNetException` - low level exception with the error message.

### addEdgeColumns

public void addEdgeColumns(org.cytoscape.model.CyTable cyTable)

Specified by:
  `addEdgeColumns` in interface `DisGeNETCyTableNodeInterface`

### fillEdgeColumns

public void fillEdgeColumns(org.cytoscape.model.CyNetwork cyNetwork, Map<org.cytoscape.model.CyEdge,Map<String,Object>> edgeAttributes)

Specified by:
  `fillEdgeColumns` in interface `DisGeNETCyTableNodeInterface`